package com.jiuqi.util.inifile;

import com.jiuqi.util.MemStream;
import com.jiuqi.util.Stream;

/* loaded from: com_jiuqi_util_inifile.jar:com/jiuqi/util/inifile/StreamIni.class */
public class StreamIni extends BufferIni {
    public StreamIni(Stream aStream) {
        super(new StreamIniBuffer(aStream));
        readInfo();
    }

    public static void printIni(BufferIni ini, String ident) {
        System.out.println();
        for (int i = 0; i < ini.count(); i++) {
            Section sec = ini.get(i);
            System.out.println(String.valueOf(ident) + "[" + sec.name() + "]");
            for (int k = 0; k < sec.count(); k++) {
                Ident idt = sec.get(k);
                System.out.print(String.valueOf(ident) + idt.name);
                System.out.print("=");
                switch (idt.type) {
                    case Ident.IdentType_Boolean /* 1 */:
                        System.out.print(sec.readBoolean(idt.name, false));
                        break;
                    case Ident.IdentType_Integer /* 2 */:
                        System.out.print(sec.readInteger(idt.name, 0));
                        break;
                    case Ident.IdentType_Double /* 3 */:
                        System.out.print(sec.readDouble(idt.name, 0.0d));
                        break;
                    case Ident.IdentType_Long /* 4 */:
                        System.out.print(sec.readLong(idt.name, 0L));
                        break;
                    case Ident.IdentType_String /* 5 */:
                        System.out.print(sec.readString(idt.name, ""));
                        break;
                    case Ident.IdentType_Stream /* 6 */:
                        System.out.print("stream");
                        try {
                            MemStream memStream = new MemStream();
                            sec.readStream(idt.name, memStream);
                            System.out.println(memStream.getSize());
                            break;
                        } catch (Exception ex) {
                            ex.printStackTrace();
                            break;
                        }
                    case Ident.IdentType_Ini /* 7 */:
                        System.out.print("<INI>");
                        BufferIni child = sec.readIni(idt.name);
                        printIni(child, String.valueOf(ident) + ident);
                        break;
                }
                System.out.println();
            }
            System.out.println();
        }
    }
}
